GET /pronouns

Get a list of all available pronouns.

Headers

  • Accept string Required

    The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to application/json

    Values are application/json, text/calendar, text/plain, or text/html. Default value is application/json.

Responses

  • 200 application/json

    A JSON array of pronouns

    Hide response attributes Show response attributes object
    • canonicalName string Required

      The canonical name of the pronoun set (e.g., "they/them").

    • description string Required

      A brief description of the pronoun set.

    • normative boolean Required

      Indicates if the pronoun set is considered normative.

    • morphemes object Required
      Hide morphemes attributes Show morphemes attributes object
      • pronoun_subject string Required

        Subject pronoun (e.g., "they").

      • pronoun_object string Required

        Object pronoun (e.g., "them").

      • possessive_determiner string Required

        Possessive determiner (e.g., "their").

      • possessive_pronoun string Required

        Possessive pronoun (e.g., "theirs").

      • reflexive string Required

        Reflexive pronoun (e.g., "themself").

    • pronunciations object Required

      Pronunciation guides for the pronoun set.

    • plural boolean Required

      Indicates if the pronoun set is plural.

    • pluralHonorific boolean Required

      Indicates if the pronoun set is a plural honorific.

    • aliases array[string]

      Alternative names or aliases for the pronoun set.

    • history string

      Historical context or notes about the pronoun set.

    • pronounceable boolean Required

      Indicates if the pronoun set is easily pronounceable.

    • thirdForm string

      A third form of the pronoun set, if applicable.

    • smallForm string

      A smaller or abbreviated form of the pronoun set, if applicable.

    • sourcesInfo string

      Information about the sources of the pronoun set.

    • nullPronoun boolean Required

      Indicates if the pronoun set is a null pronoun.

    • examples array[string]

      Example sentences or phrases using the pronoun set.

    • name string Required

      A human-readable name for the pronoun set.

  • default application/json

    Basic Error Response

    Hide response attributes Show response attributes object
    • statusCode number Required

      The HTTP Status Code associated with the error

    • error boolean Required

      Indicates that the response is an error

      Value is true.

    • statusMessage string Required

      The message associated with the error

    • message string Required

      The message associated with the error (client visible)

    • url string Required

      The URL that was requested which resulted in the error

GET /pronouns
curl \
 --request GET 'https://pronom.it/api/public/v3/pronouns' \
 --header "Accept: application/json"
Response examples (200)
[
  {
    "canonicalName": "he",
    "description": "Normative “he/him”",
    "normative": true,
    "morphemes": {
      "pronoun_subject": "he",
      "pronoun_object": "him",
      "possessive_determiner": "his",
      "possessive_pronoun": "his",
      "reflexive": "himself"
    },
    "pronunciations": {},
    "plural": false,
    "pluralHonorific": false,
    "aliases": [
      "he/him"
    ],
    "history": "",
    "pronounceable": true,
    "thirdForm": null,
    "smallForm": null,
    "sourcesInfo": null,
    "nullPronoun": false,
    "examples": [
      "I think he is very nice.",
      "I met him recently.",
      "Is this his dog?",
      "He told me that the house is his.",
      "He said he would rather do it himself.",
      "He is really beautiful.",
      "He answered the phone.",
      "He takes good care of his cat.",
      "He did it all by himself.",
      "He talks in his sleep.",
      "He landed the plane safely.",
      "He argues that…",
      "Did you buy him his gift?",
      "I asked him if I can borrow his pencil.",
      "I talked to him yesterday.",
      "Would you like to go to the movies with him?",
      "Can you call him when his cat awakes?",
      "His graduation starts soon.",
      "My favorite color is purple, his is yellow."
    ],
    "name": "he/him"
  }
]
Response examples (default)
The request contains invalid content
{
  "error": true,
  "statusCode": 400,
  "statusMessage": "Bad Request",
  "message": "XYZ contains an invalid value",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
  "error": true,
  "statusCode": 401,
  "statusMessage": "Unauthorised",
  "message": "You are not authorised to access this content",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
  "error": true,
  "statusCode": 404,
  "statusMessage": "Not Found",
  "message": "Requested Item Not Found",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
  "error": true,
  "statusCode": 410,
  "statusMessage": "Gone",
  "message": "v1 has been marked as depreciated; please use v2 or v3",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
  "error": true,
  "statusCode": 500,
  "statusMessage": "Server Error",
  "message": "An unknown server error has occured, please try again later",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}